| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
INamedInterface Class Referenceabstract

IInterface compliant class extending IInterface with the name() method. More...

`#include <GaudiKernel/INamedInterface.h>`

Inheritance diagram for INamedInterface:
[legend]
Collaboration diagram for INamedInterface:
[legend]

## Public Member Functions
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
virtual | ~INamedInterface ()=default
| Virtual destructor (always needed for abstract classes). More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

IInterface compliant class extending IInterface with the name() method.

Author
  Charles Leggett

Definition at line 15 of file INamedInterface.h.

## Constructor & Destructor Documentation

virtual INamedInterface::~INamedInterface | ( |  | ) |
| virtual default

Virtual destructor (always needed for abstract classes).

## Member Function Documentation

INamedInterface::DeclareInterfaceID | ( | INamedInterface | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual const std::string& INamedInterface::name | ( |  | ) | const
| pure virtual

Retrieve the name of the instance.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/INamedInterface.h